%global momorel 5
%global qtver 4.6.2
%global qtdir %{_libdir}/qt4

Name:		qtwitter
Version:	0.10.0
Release:	%{momorel}m%{?dist}
Summary:	A Qt-based client for Twitter and Identi.ca
Group:		Applications/Internet
License:	LGPL
URL:		http://qtwitter.ayoy.net
Source0:	http://files.ayoy.net/qtwitter/release/%{version}/src/%{name}-%{version}-src.tar.gz
NoSource:	0
Patch0:		%{name}-%{version}-no-auto-update.patch
Patch1:         %{name}-%{version}-x11-link.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt-devel >= %{qtver}
BuildRequires:	qoauth-devel
Requires:	qt-x11
Requires:	qoauth
Obsoletes:	%{name}-devel

%description
qTwitter is an application interacting with Twitter and Identi.ca social
networks.

%prep
%setup -q
%patch0 -p1 -b .no-auto-update
%patch1 -p1 -b .x11-link

sed -i -e '/doc \\/d' -e '/-Wl,-rpath,\$\${TOP}/d' qtwitter-app/qtwitter-app.pro

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README CHANGELOG LICENSE
%{_bindir}/%{name}
%{_libdir}/lib*.so*
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/scalable/apps/*.svg

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-5m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0-4m)
- rebuild against qt-4.6.3-1m

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0-3m)
- fix build with gcc-4.4.4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Nov  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0
- remove devel package

* Sun Oct 12 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Sun Sep 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-2m)
- update no-auto-update patch

* Sat Sep 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-1m)
- update to 0.9.0

* Sun Sep  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.3-1m)
- initial build for Momonga Linux

